Application: gvSIG desktop - gvSIG bugs #3233
error joining raster layers (setante) / Error al unir capas raster (sextante)
02/26/2015 11:51 PM - Mario Fevre
Assignee:
Target version:
Has patch: Hito:
Description

en

This bug have different effects on different layers.

Layers in geographic coordinates suffers the biggest distortion of this
bug.

2 raster layers attached

Bug reproduction:
1. new project
2. new view
3. add layer > add attached files
4. toolbox > sextante > join layers

in gvSIG 1.12 build 1417:
The result presents distortion in the location of individual images.

in gvSIG 2.1.0-2223 RC1:
The results present plain gray image.

This problem is partially solved using projected coordinates instead of geographic. but still images are 1 pixel displaced.

es

Este error no se genera o no se genera del mismo modo con todas las
imagenes raster.

He identificado que el efecto descrito ocurre de forma mas notoria con
capas referenciadas en coordenadas geograficas.

a tal fin se adjuntan 2 imagenes y sus rmf.

Reproduccion del error:
1. Abrir un nuevo proyecto.
2. Generar una nueva vista
3. Anadir capa raster > seleccionar ambos archivos jpg
4. caja de herramientas > sextante > herramientas basicas para capas raster > unir
capas

en gvSIG 1.12 build 1417:
El resultado presenta una distorsién de cada componente en su localizacién.

en gvSIG 2.1.0-2223 RC1:
El resultado aparece sin informacién de color (todo gris).

Este problema mejora (aparente mente) al utilizar coordenadas planas aunque se sigue generando una distorsion espacial.

History

#1 - 02/27/2015 08:51 AM - Alvaro Anguix

- Category set to Geoprocess

#2 - 07/28/2017 06:02 PM - Mario Fevre

Al parecer es parte de este error lo siguiente:
el geoproceso de "cortar capa rates con capa de poligonos" genera el mismo desplazamietno en el resultado.

#3 - 07/31/2017 05:18 PM - Antonio Falciano
| can confirm the issue reported by Mario. It affects several basic tools for raster layers, such as:
- Merge grids;
- Crop grid with polygon layer;
- Complete grid;
- Void filling;

Result: the output layers are generally shifted of 1 pixel to the bottom.
